Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.menu
Class OWLBackwardsCompatibilityProjectFixups

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.menu.OWLBackwardsCompatibilityProjectFixups

All Implemented Interfaces:
  edu.stanford.smi.protege.plugin.Plugin, edu.stanford.smi.protege.plugin.ProjectFixupPlugin, edu.stanford.smi.protege.util.Disposable

    public class OWLBackwardsCompatibilityProjectFixups

extends Object
implements edu.stanford.smi.protege.plugin.ProjectFixupPlugin

Repairs invalid forms from old pprj files.

Author:
  Ray Fergerson , Holger Knublauch

Field Summary
`static String` | `OWL_BUILD_PROPERTY`
`static String` | `OWL_DATABASE_INCLUSION`
`static String` | `OWL_MAJOR_BUILD_PROPERTY`

Constructor Summary
`OWLBackwardsCompatibilityProjectFixups()`

Method Summary
`void` | `dispose()`
`static void` | `fix(OWLModel owlModel)`
`void` | `fixProject(edu.stanford.smi.protege.model.KnowledgeBase internalKb)`
`String` | `getName()`
`protected static edu.stanford.smi.protege.model.Instance` | `getProjectInstance(edu.stanford.smi.protege.model.KnowledgeBase kb)`
`static void` | `insertVersionData(edu.stanford.smi.protege.util.PropertyList sources)`
`static boolean` | `isBeforeDatabaseInclusion(edu.stanford.smi.protege.util.PropertyList sources)`
`static boolean` | `isReallyAncientVersion(edu.stanford.smi.protege.util.PropertyList sources)`
`static boolean` | `isSuitable(edu.stanford.smi.protege.model.KnowledgeBase internalKb, Collection errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OWL_BUILD_PROPERTY

    public static final String OWL_BUILD_PROPERTY

See Also:
  Constant Field Values

### OWL_MAJOR_BUILD_PROPERTY

    public static final String OWL_MAJOR_BUILD_PROPERTY

See Also:
  Constant Field Values

### OWL_DATABASE_INCLUSION

    public static final String OWL_DATABASE_INCLUSION

See Also:
  Constant Field Values

Constructor Detail

### OWLBackwardsCompatibilityProjectFixups

    public OWLBackwardsCompatibilityProjectFixups()

Method Detail

### insertVersionData

    public static void insertVersionData(edu.stanford.smi.protege.util.PropertyList sources)

### fix

    public static void fix(OWLModel owlModel)

### isBeforeDatabaseInclusion

    public static boolean isBeforeDatabaseInclusion(edu.stanford.smi.protege.util.PropertyList sources)

### isReallyAncientVersion

    public static boolean isReallyAncientVersion(edu.stanford.smi.protege.util.PropertyList sources)

### fixProject

    public void fixProject(edu.stanford.smi.protege.model.KnowledgeBase internalKb)

  Specified by:
    `fixProject` in interface `edu.stanford.smi.protege.plugin.ProjectFixupPlugin`

### getName

    public String getName()

  Specified by:
    `getName` in interface `edu.stanford.smi.protege.plugin.Plugin`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### isSuitable

    public static boolean isSuitable(edu.stanford.smi.protege.model.KnowledgeBase internalKb,
                                     Collection errors)

### getProjectInstance

    protected static edu.stanford.smi.protege.model.Instance getProjectInstance(edu.stanford.smi.protege.model.KnowledgeBase kb)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.